- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# netapp_e_storage_system – NetApp E-Series Web Services Proxy manage storage arrays

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Manage the arrays accessible via a NetApp Web Services Proxy for NetApp E-series storage arrays.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_password - / required |  | The password to authenticate with the SANtricity WebServices Proxy or embedded REST API.
api_url - / required |  | The url to the SANtricity WebServices Proxy or embedded REST API.
api_username - / required |  | The username to authenticate with the SANtricity WebServices Proxy or embedded REST API.
array_password - |  | The management password of the array to manage, if set.
array_wwn - |  | The WWN of the array to manage. Only necessary if in-band managing multiple arrays on the same agent host. Mutually exclusive of controller_addresses parameter.
controller_addresses - / required |  | The list addresses for the out-of-band management adapter or the agent host. Mutually exclusive of array_wwn parameter.
enable_trace boolean | Choices: no ← yes | Enable trace logging for SYMbol calls to the storage system.
meta_tags - |  | Optional meta tags to associate to this storage system
ssid - / required |  | The ID of the array to manage. This value must be unique for each array.
state - / required | Choices: present absent | Whether the specified array should be configured on the Web Services Proxy or not.
validate_certs boolean | Choices: no yes ← | Should https certificates be validated?

## Examples

    ---
        - name:  Presence of storage system
          netapp_e_storage_system:
            ssid: "{{ item.key }}"
            state: present
            api_url: "{{ netapp_api_url }}"
            api_username: "{{ netapp_api_username }}"
            api_password: "{{ netapp_api_password }}"
            validate_certs: "{{ netapp_api_validate_certs }}"
            controller_addresses:
              - "{{ item.value.address1 }}"
              - "{{ item.value.address2 }}"
          with_dict: "{{ storage_systems }}"
          when: check_storage_system

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | always | State of request Sample: Storage system removed.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Kevin Hulquest (@hulquest)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.